/*
** Functions included in DLG link library io.lib
**
** Version 1.3 (7/15/99)
**
 ***************************************************/

#include <dos.h>

long           DisplayBuffer(BPTR, char *, int, int, char, char, USHORT *, int, char *, int, char *);
int            DisplayMenu(struct MenuStuff *ms,struct NewShortMenu *rlist,UBYTE numr, struct USER_DATA *User,int helplev,struct Ram_File *ramfile,char *ext,int (*transcall)(char *,char *));
LONG           Display_Msg(long , char *, char *, char , char *, int , int , char , USHORT *, long , char , char *);
long __stdargs DLGInput(char *, char *, char *, USHORT , USHORT , char, char *, ...);
int            DummyPrintf(const char *,...);
int            DummySPrintf(char *,const char *,...);
char __stdargs finput(char, char *, ...);
long __stdargs iinput(long , long , long, char *, ...);
BOOL           InsertStack(char *, char *);
int            MenuInput(  char *,char *,char *,struct NewShortMenu *,UBYTE,int (*)(UBYTE),struct USER_DATA *,
                           struct Ram_File *,int, int (*)(char *,char *));
UBYTE          menu(struct ShortMenu *,char ,char);
void           OneLine(void);
BOOL           RawDump(char *);
int  __stdargs Spawn(BPTR, BPTR, char *, ...);
LONG           TransBuf(char *inbuffer,char *outbuffer,int maxsize,int (*callback)(char *,char *));
void           TwoLines(void);

// Make a twirlydiddle wheel...

void StartWheel(void);
void TurnWheel(void);
void StopWheel(void);

// You'll want to use these if you do any interactive I/O with users

LONG __stdargs ASPrintf(struct USER_DATA *,char *,char *,...);
LONG __stdargs AFPrintf(struct USER_DATA *,BPTR,char *,...);

